# $Revision: 1.57 $, $Date: 2008/11/02 10:17:30 $
#
# Conditional build:
%bcond_without	apidocs	# disable gtk-doc
%bcond_without	ssl	# without SSL support
#
Summary:	Loudmouth - a Jabber library written in C
Summary(pl.UTF-8):	Loudmouth - biblioteka do obsługi protokołu Jabber napisana w C
Name:		loudmouth
Version:	1.4.3
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/loudmouth/1.4/%{name}-%{version}.tar.bz2
# Source0-md5:	55339ca42494690c3942ee1465a96937
URL:		http://loudmouth.imendio.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	glib2-devel >= 1:2.12.3
%{?with_ssl:BuildRequires:	gnutls-devel >= 1.2.5}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
BuildRequires:	libidn-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.12.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It's designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.

%description -l pl.UTF-8
Loudmouth jest lekką i łatwą w obsłudze biblioteką napisaną w języku
C. Służy do obsługi protokołu Jabber. Została zaprojektowana z
naciskiem na prostotę obsługi, pozwala używać wszystkich możliwości
protokołu Jabber.

%package devel
Summary:	Header files and development documentation for Loudmouth library
Summary(pl.UTF-8):	Pliki nagłówkowe Loudmouth, dokumentacja dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.3
%{?with_ssl:Requires:	gnutls-devel >= 1.2.5}

%description devel
This package provides the necessary header files to allow you to
develop with Loudmouth.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe potrzebne do tworzenia oprogramowania
z wykorzystaniem Loudmouth.

%package static
Summary:	Static libraries for developing with Loudmouth
Summary(pl.UTF-8):	Statyczne biblioteki Loudmouth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of Loudmouth libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek Loudmouth.

%package apidocs
Summary:	Loudmouth library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Loudmouth.
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Loudmouth library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Loudmouth.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_ssl:--without-ssl} \
	--with-asyncns \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libloudmouth-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libloudmouth-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libloudmouth-1.so
%{_libdir}/libloudmouth-1.la
%{_pkgconfigdir}/loudmouth-1.0.pc
%{_includedir}/loudmouth-1.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libloudmouth-1.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: loudmouth.spec,v $
Revision 1.57  2008/11/02 10:17:30  megabajt
- updated to 1.4.3

Revision 1.56  2008/10/13 18:00:06  megabajt
- updated to 1.4.2

Revision 1.55  2008/07/21 21:10:49  aredridel
- build with asyncns option

Revision 1.54  2008/06/08 19:16:07  patrys
- 1.4.0

Revision 1.53  2008-05-08 10:25:03  wrobell
- ver. 1.3.4

Revision 1.52  2008-01-21 00:38:36  aredridel
- 1.3.3

Revision 1.51  2008-01-16 17:37:30  arekm
- rel 2

Revision 1.50  2007-06-10 16:52:45  megabajt
- updated to 1.2.3

Revision 1.49  2007/04/30 19:44:56  megabajt
- added apidocs bcond and subpackage

Revision 1.48  2007/04/30 00:40:04  aredridel
- 1.2.2

Revision 1.47  2007/03/04 14:33:34  aredridel
- 1.2.0

Revision 1.46  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.44  2006/09/11 19:15:34  grzegol
- 1.0.5

Revision 1.43  2006/07/15 20:44:59  freetz
- rel.2, --as-needed support

Revision 1.42  2006/06/27 18:41:32  freetz
- 1.0.4

Revision 1.41  2006/04/10 06:41:51  aredridel
- 1.0.3

Revision 1.40  2006/03/20 00:54:22  pluto
- release 2 for rebuild with new libtasn1.

Revision 1.39  2005/08/16 10:07:27  freetz
- 1.0.1

Revision 1.38  2005/08/14 15:34:38  freetz
- 1.0

Revision 1.37  2005/07/11 16:42:21  arekm
BR gnutls >= 1.2.5

Revision 1.36  2005/06/06 21:22:05  zbyniu
- BR: pkgconfig

Revision 1.35  2005/05/11 20:04:20  freetz
- 0.90, removed obsolete gnutls patch

Revision 1.34  2004/11/01 20:48:28  grzegol
- updated to 0.17.2
- removed outdated types patch

Revision 1.33  2004/08/30 21:36:56  grzegol
- updated to 0.17.1
- removed outdated keepalive patch

Revision 1.32  2004/08/29 10:47:54  krzak
- added keepalive.patch fix keepalive feature.
- rel. 2

Revision 1.31  2004/08/27 09:35:44  qboosh
- added glib2 epoch

Revision 1.30  2004/08/27 07:28:47  krzak
- Requires:       glib2-devel >= 2.4.0

Revision 1.29  2004/08/27 06:05:28  aredridel
- up to 0.17

Revision 1.28  2004/06/22 16:04:24  malekith
- release 4
- add patch with  functions needed to login into server diffrent then the @-part
  of the jid (like jabber.pld-linux.org)

Revision 1.27  2004/04/19 20:39:03  qboosh
- release 3 to rebuild with gnutls 1.0.11

Revision 1.26  2004/04/08 09:13:28  wrobell
- rel. 2

Revision 1.25  2004/03/18 06:12:48  aflinta
- up to version 0.16

Revision 1.24  2004/03/16 15:56:27  wrobell
- rel. 3 to rebuild with new openldap on nest builders

Revision 1.23  2004/02/22 15:17:02  grzegol
- added gnutls patch (fixes build with gnutls-1.0.6)
- rel. 2 to rebuild with libgcrypt-1.1.92

Revision 1.22  2004/01/25 23:08:23  undefine
- release 1 to rebuild with AC (new libtls)

Revision 1.21  2004/01/23 11:45:20  wrobell
- ver. 0.15.1

Revision 1.20  2003/12/08 14:18:05  grzegol
- rel. 0.%%{snap}.2 to rebuild with gnutls-1.0.0

Revision 1.19  2003/11/28 21:17:59  freetz
- 20031128 snap
- changed to name-version-snap source schema

Revision 1.18  2003/11/22 14:54:06  qboosh
- added types and nolibs patches
- fixed config.h.in creation (autoheader, not touch) - now gnutls is used
- release .4

Revision 1.17  2003/11/22 13:56:56  krzak
- rel 3

Revision 1.16  2003/11/06 22:37:33  aredridel
- inc rel to 0..2
- rebuild with new gnutls

Revision 1.15  2003/10/19 19:32:46  aredridel
- up to cvs 20031019

Revision 1.14  2003/10/13 14:38:31  freetz
- up to 0.14.1

Revision 1.13  2003/10/06 19:20:09  krzak
- devel package need gnutls-devel if build with ssl.
- rel 2

Revision 1.12  2003/10/03 17:49:25  freetz
- up to 0.14 (now with ipv6 support)

Revision 1.11  2003/08/15 14:06:11  aredridel
- added bcond for SSL

Revision 1.10  2003/08/15 12:34:27  aflinta
- version 0.13.2

Revision 1.9  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.8  2003/08/05 18:30:05  aflinta
- version 0.13.1

Revision 1.7  2003/07/17 22:49:56  freetz
- updated to 0.12

Revision 1.6  2003/07/14 09:49:27  freetz
- up to version 0.11

Revision 1.5  2003/07/08 09:09:55  freetz
- updated to 0.10.1 version

Revision 1.4  2003/06/29 15:12:26  freetz
- up to version 0.10

Revision 1.3  2003/06/28 14:55:23  qboosh
- typo, cosmetics, removed autogenerated symlink from files

Revision 1.2  2003/06/20 13:57:16  freetz
- added static package
- fixed file list, sorted BRs
- added Source0 md5
- descriptions cleanups and typos

Revision 1.1  2003/06/19 13:29:44  krzak
- initial release

